<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
    <ResultCond name="link" next="${state.exit.1}"/>
    <ResultCond name="register" next="${state.exit.2}"/>
    <ResultCond name="cancel" next="${state.failed}"/>

    <Response value="AUTH_CONTINUE">
	    <Gui name="eid_linking_account">
			<GuiElem name="authRequestId" type="hidden" value="${sess:ch.nevis.auth.saml.request.id}" optional="true"/>
            <GuiElem name="app_name" type="hidden" value="${sess:agov.appDisplayNameEN}" optional="true"/>
            <GuiElem name="firstname" type="hidden" value="${sess:agov.eid.User.firstName}" optional="true"/>
            <GuiElem name="lastname" type="hidden" value="${sess:agov.eid.User.lastName}" optional="true"/>
	    </Gui>
    </Response>

    <property name="script" value="file:///var/opt/nevisauth/default/conf/eid_start_account_linking.groovy"/>
 </AuthState>